package com.xunmei.core.resumption.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ResumptionNfcInfoVo {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long nfcdataid;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long nfcid;

    private Long pointId;

    private String nfccdoe;

    private Integer status;

    private String checkName;
    @JsonSerialize(using = ToStringSerializer.class)
    private Long areaId;

    @Override
    public int hashCode(){
        return nfcid.hashCode();
    }

    @Override
    public boolean equals(Object obj){
        if(obj == null){
            return false;
        }

        if(this == obj){
            return true;
        }

        if(obj instanceof ResumptionNfcInfoVo){
            ResumptionNfcInfoVo r = (ResumptionNfcInfoVo) obj;
            if(r.getNfcid().equals(this.nfcid)){
                return true;
            }
        }
        return false;
    }
}
